# Class GuiMap

java.lang.Object
org.openscience.jmol.app.jmolpanel.GuiMap

Direct Known Subclasses:
  `NmrGuiMap`

public class GuiMap extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map<String,String>`
`labels`

## Constructor Summary

Constructors
Constructor
Description
`GuiMap()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(String key)`
`static URL`
`getHtmlResource(Object object, String root)`
`String`
`getLabel(String key)`
`static URL`
`getResource(Object object, String fileName)`
`static URL`
`getResource(Object object, String fileName, boolean flagError)`
`static String`
`getResourceString(Object object, String name)`
`protected void`
`moreLabels(Map<String,String> labels)`
Add more labels if desired
`JButton`
`newJButton(String key)`
`JCheckBox`
`newJCheckBox(String key, boolean isChecked)`
`JCheckBoxMenuItem`
`newJCheckBoxMenuItem(String key, boolean isChecked)`
`JMenu`
`newJMenu(String key)`
`JMenuItem`
`newJMenuItem(String key)`
`JRadioButtonMenuItem`
`newJRadioButtonMenuItem(String key)`
`void`
`setEnabled(String key, boolean b)`
`void`
`setSelected(String key, boolean b)`
`static String`
`translate(String str)`
`void`
`updateLabels()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### labels

protected Map<String,String> labels

## Constructor Details

### GuiMap

public GuiMap()

## Method Details

### moreLabels

protected void moreLabels(Map<String,String> labels)
Add more labels if desired

Parameters:
  `labels` -

### getLabel

public String getLabel(String key)

### newJMenu

public JMenu newJMenu(String key)

### newJMenuItem

public JMenuItem newJMenuItem(String key)

### newJCheckBoxMenuItem

public JCheckBoxMenuItem newJCheckBoxMenuItem(String key, boolean isChecked)

### newJRadioButtonMenuItem

public JRadioButtonMenuItem newJRadioButtonMenuItem(String key)

### newJCheckBox

public JCheckBox newJCheckBox(String key, boolean isChecked)

### newJButton

public JButton newJButton(String key)

### get

public Object get(String key)

### setSelected

public void setSelected(String key, boolean b)

### setEnabled

public void setEnabled(String key, boolean b)

### updateLabels

public void updateLabels()

### translate

public static String translate(String str)

### getResource

public static URL getResource(Object object, String fileName)

### getHtmlResource

public static URL getHtmlResource(Object object, String root)

### getResource

public static URL getResource(Object object, String fileName, boolean flagError)

Parameters:
  `object` - UNUSED
  `fileName` -
  `flagError` -
Returns:
  URL

### getResourceString

public static String getResourceString(Object object, String name) throws IOException

Throws:
  `IOException`